Skip to main content

Generate Quote Statement Export File

POST 

/v1/reports/quote-statement/exports

Export crossborder quotes within a date range. The export will be generated asynchronously and can be retrieved later using the file ID.

Request

Header Parameters

    x-include-replay-protection-schema string

    The replay-protection-schema allows the user to choose between 3 options:

    • If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
    • 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
    • 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
    • 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

Body

required
    sort string

    Possible values: [quote_created_at, settled_date]

    Default value: quote_created_at

    Page sort attribute.

    order string

    Possible values: [asc, desc]

    Default value: desc

    Page order.

    filter_type string

    Possible values: [client_id]

    Filter type.

    • client_id: Client ID.

    filter_text string
    date_start date-time

    Quote statement date start. Filters quotes where date_start >= this date. This date is chosen by the sort attribute with quote_created_at used by default.

    date_end date-time

    Quote statement date end. Filters quotes where date_end < this date (exclusive). This date is chosen by the sort attribute with quote_created_at used by default.

    type_extension string

    Possible values: [CSV]

    File format extension (CSV).

Responses

Quote export created successfully.

Schema
    file_id stringrequired

    File ID.

    file_state objectrequired

    Generated file state.

    created_at date-timerequired

    File created at.

Loading...